# $Revision: 1.34 $, $Date: 2006/11/21 19:57:13 $
%include	/usr/lib/rpm/macros.php
%define		_class		File
%define		_status		stable
%define		_pearname	%{_class}
Summary:	%{_pearname} - Common file and directory routines
Summary(pl):	%{_pearname} - Podstawowe sposoby operacji na plikach i katalogach
Name:		php-pear-%{_pearname}
Version:	1.2.2
Release:	6
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	ba8f020b70fb6a37c6258e0e42033aad
URL:		http://pear.php.net/package/File/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcre)
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides easy access to read/write to files along with some common
routines to deal with paths. Also provides interface for handling CSV
files.

In PEAR status of this package is: %{_status}.

%description -l pl
Dostarcza prosty dostp do zapisu/odczytu plikw razem z prostymi
metodami operacji na ciekach. Dostarcza take interfejsu do plikw
CSV.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_class}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-File.spec,v $
Revision 1.34  2006/11/21 19:57:13  glen
- rel 6: use php(extension) virtuals

Revision 1.33  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.32  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.31  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.30  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.29  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.28  2005/12/13 15:20:52  glen
- optional-packages.txt doesn't work good for extensions (which are installed at compile time); rel 5

Revision 1.27  2005/12/13 11:03:47  glen
- cat optional-packages.txt; rel 4

Revision 1.26  2005/11/20 16:26:25  glen
- rel 3

Revision 1.25  2005/10/05 18:31:31  glen
- rel 2

Revision 1.24  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.23  2005/09/20 19:53:19  glen
- 1.2.2 (broken package.xml resolved)

Revision 1.22  2005/09/20 19:46:33  glen
- use new pear packaging. NFY due PEAR bug

Revision 1.21  2005/08/21 18:13:34  adamg
- updated to 1.2.1

Revision 1.20  2005/04/03 18:32:42  adamg
- updated to 1.2.0

Revision 1.19  2005/02/21 20:49:43  adamg
- updated to 1.1.0
- fixed License

Revision 1.18  2005/02/05 19:30:13  adamg
- updated to 1.1.0RC5

Revision 1.17  2004/12/17 11:35:09  adamg
- updated to 1.1.0RC1

Revision 1.16  2004/12/03 22:06:23  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.15  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.14  2003/10/07 20:54:31  adamg
- do not use macros in URL

Revision 1.13  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.12  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.11  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/02/01 16:21:58  blues
- 1.0.3 - stable relase - STBR to Ra updates

Revision 1.9  2003/01/07 18:04:50  blues
- release 5 - prepared for new php-4.3.0

Revision 1.8  2002/10/14 23:40:07  misto
- new rpm-php-requires/provides scripts
- release 4

Revision 1.7  2002/09/08 14:58:09  blues
- fix in macros

Revision 1.6  2002/07/12 23:28:21  blues
- release 3 (rebuild with new rpm)

Revision 1.5  2002/07/04 11:40:35  kloczek
- relaly release 2.

Revision 1.4  2002/07/04 01:14:26  blues
- release 2

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/29 14:22:20  blues
- removed dir

Revision 1.1  2002/06/25 11:21:53  blues
- File class
